
From: Rik van Riel <riel@redhat.com>

Because Xen is compiled with -Wall -Werror, has inherited processor.h from
Linux and Fedora is now built with gcc4, I discovered this bug.

The few callers I verified all call cpuid with unsigned ints, but the
function is defined with signed ints.  This trivial patch fixes that.

Signed-off-by: Rik van Riel <riel@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-i386/processor.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-i386/processor.h~cpuid-takes-unsigned-arguments include/asm-i386/processor.h
--- 25/include/asm-i386/processor.h~cpuid-takes-unsigned-arguments	2005-03-07 20:41:31.000000000 -0800
+++ 25-akpm/include/asm-i386/processor.h	2005-03-07 20:41:31.000000000 -0800
@@ -137,7 +137,7 @@ static inline void detect_ht(struct cpui
  * clear %ecx since some cpus (Cyrix MII) do not set or clear %ecx
  * resulting in stale register contents being returned.
  */
-static inline void cpuid(int op, int *eax, int *ebx, int *ecx, int *edx)
+static inline void cpuid(unsigned int op, unsigned int *eax, unsigned int *ebx, unsigned int *ecx, unsigned int *edx)
 {
 	__asm__("cpuid"
 		: "=a" (*eax),
_
